> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Wallet - Net Worth Summary (Multi)

> Get current net worth summary for multiple wallets



## OpenAPI

````yaml /en/api-reference/openapi-data-en.yaml GET /v2/wallet/{chain}/net-worth-summary
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: Blockchain related operations
  - name: Token
    description: Token related operations
  - name: Trade
    description: Trade related operations
  - name: Wallet
    description: Wallet related operations
  - name: Dex
    description: Dex related operations
  - name: Ranking
    description: Ranking related operations
  - name: DexPool
    description: DexPool related operations
  - name: Watchlist
    description: Watchlist related operations
  - name: KYT
    description: Kyt related operations
  - name: Webhook
    description: Webhook related operations
  - name: RedPacket
    description: Redpacket related operations
  - name: IPFS
    description: Ipfs related operations
  - name: DexScreener
    description: DexScreener related operations
paths:
  /v2/wallet/{chain}/net-worth-summary:
    get:
      tags:
        - Wallet
      summary: Wallet - Net Worth Summary (Multi)
      description: Get current net worth summary for multiple wallets
      operationId: get.net.worth.summary
      parameters:
        - name: chain
          in: path
          description: A chain name listed in supported networks
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: walletAddresses
          in: query
          description: >-
            A list of wallet addresses in string separated by commas (,).
            Maximum 100 address addresses allowed
          required: true
          schema:
            type: string
          example: >-
            3bovD5jCRn7eG64jZqyEz6Zbx92mHixZSTRrWLy1Sirx,FrxXcJ1uUHa9A5jxgNFBxT4bHBnFVQZbxJa2Je3gjotP
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletNetWorthSummaryResponse'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    WalletNetWorthSummaryResponse:
      type: object
      required:
        - currentTimestamp
        - wallets
      properties:
        currentTimestamp:
          type: string
          description: Current server timestamp
          example: '2025-10-30T03:33:40.980Z'
        wallets:
          type: object
          description: Map of wallet addresses to net-worth values
          additionalProperties:
            $ref: '#/components/schemas/NetWorthSummaryValue'
          propertyNames:
            type: string
          example:
            3bovD5jCRn7eG64jZqyEz6Zbx92mHixZSTRrWLy1Sirx:
              value: '1764819473.530063'
    NetWorthSummaryValue:
      type: object
      required:
        - value
      properties:
        value:
          type: string
          description: Net worth value in USD
          example: '1764819473.530063'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````